import { demoDataService } from './demo/DemoDataService'
import { apiDataService } from './api/ApiDataService'
import { useAuthStore } from '../stores/auth'

export const useDataService = () => {
  const auth = useAuthStore()
  return auth.mode === 'demo' ? demoDataService : apiDataService
}
